> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Providers

> This Api Handles fetching of payment providers

Get the list of available payment providers and their supported currencies and countries.


## OpenAPI

````yaml POST /api/v3/providers
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/providers:
    post:
      tags:
        - PAYMENT PROVIDERS
      summary: Get Payment Providers
      description: This Api Handles fetching of payment providers
      operationId: PaymentProviderController_providers_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentProviderDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    PaymentProviderDto:
      type: object
      properties:
        currency:
          description: Currency
          example: NGN
          allOf:
            - $ref: '#/components/schemas/CURRENCY'
        paymentMethod:
          description: Payment method
          example: BANK_TRANSFER
          allOf:
            - $ref: '#/components/schemas/PAYMENT_METHOD'
      required:
        - currency
        - paymentMethod
    CURRENCY:
      type: string
      enum:
        - KES
        - GHS
        - TZS
        - UGX
        - ZMW
        - XAF
        - XOF
        - CDF
        - RWF
        - ETB
        - ZAR
      description: Currency
    PAYMENT_METHOD:
      type: string
      enum:
        - mobile_money
        - bank
        - card
        - crypto
      description: Payment method

````